Gmagick::getimagescene
Gmagick::getimagetype
Gmagick
PHP Manual

# Gmagick::getimagesignature

(PECL gmagick >= Unknown)

Gmagick::getimagesignature — Generates an SHA-256 message digest

### Description

public string Gmagick::getimagesignature ( void )

Generates an SHA-256 message digest for the image pixel stream.

### Parameters

This function has no parameters.

### Return Values

Returns a string containing the SHA-256 hash of the file.

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::getimagescene
Gmagick::getimagetype
Gmagick
PHP Manual